Facebook

Integrate your application with the Facebook API

🚀 Quickstart

Connect to Facebook with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Facebook.

Authorize Facebook

Go to Connections -> Add Test Connection -> Authorize, then log in to Facebook. Later, you'll let your users do the same directly from your app.

Call the Facebook API

Let's make your first request to the Facebook API (fetch authenticated user profile information). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/me?fields=id,name,email" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Facebook Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Facebook API docs

🧩 Pre-built syncs & actions for Facebook

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-page-photoPublish a photo to a Facebook Page.Action🔗 Github
create-page-postPublish a post to a Facebook Page feed.Action🔗 Github
create-page-videoPublish a video to a Facebook Page.Action🔗 Github
create-post-commentCreate a comment on a Facebook postAction🔗 Github
create-scheduled-page-postSchedule a future post on a Facebook PageAction🔗 Github
delete-commentDelete a Facebook comment by comment IDAction🔗 Github
delete-postDelete a Facebook Page post by post IDAction🔗 Github
get-commentRetrieve a Facebook comment by comment ID.Action🔗 Github
get-page-app-subscriptionsRetrieve app subscriptions configured on a Facebook PageAction🔗 Github
get-pageRetrieve Facebook Page metadata by page IDAction🔗 Github
get-postRetrieve a Facebook post by post IDAction🔗 Github
get-user-profileRetrieve the authenticated Facebook user profile or another accessible user object.Action🔗 Github
list-page-postsList posts from a Facebook Page feed.Action🔗 Github
list-page-scheduled-postsList scheduled posts for a Facebook PageAction🔗 Github
list-page-videosList videos published on a Facebook PageAction🔗 Github
list-post-commentsList comments on a Facebook post with pagination supportAction🔗 Github
list-user-pagesList Facebook Pages the authenticated user can accessAction🔗 Github
subscribe-app-to-pageSubscribe the app to receive updates for a Facebook PageAction🔗 Github
unsubscribe-app-from-pageRemove the app subscription from a Facebook PageAction🔗 Github
page-postsSync posts from Facebook Pages the connection can access.Sync🔗 Github
page-scheduled-postsSync scheduled unpublished posts for Facebook Pages in scopeSync🔗 Github
page-videosSync videos published on Facebook Pages in scope.Sync🔗 Github
pagesSync Facebook Pages the authenticated user can accessSync🔗 Github

On this page